# -*- coding: utf-8 -*-
#: include reports.kv


<Extractor>:
    name: "Extractor"
    RelativeLayout:
        canvas.before:
            Color:
                rgba: bg_col
            Rectangle:
                size: self.size
                pos: self.pos

        BoxLayout:
            orientation: "vertical"
            id: doc_list_view_container
            canvas.before:
                Color:
                    rgba: 0.6,0.32,0.6,0.1
                Rectangle:
                    size: self.size
                    pos: self.pos
            size_hint: (0.8,None)
            height: "500dp"
            pos_hint: {'right':0.98,'top':0.85}

            BoxLayout:
                size_hint: (1,None)
                height: "30dp"

                TButton_f:
                    id: doc_list_crtd_date
                    text: "created date"
                    size_hint_x: .3
                    group: "list"
                    state: 'down'
                    on_release: root.sorter('crt_date')
                    color: (0,0,0,1) if self.state=='down' else (1,1,1,1)
                TButton_f:
                    id: doc_list_group
                    text: "Group"
                    size_hint_x: .2
                    group: "list"
                    on_release: root.sorter('group')
                    color: (0,0,0,1) if self.state=='down' else (1,1,1,1)
                TButton_f:
                    id: doc_list_sex
                    text: "Sex"
                    size_hint_x: .1
                    group: "list"
                    on_release: root.sorter('sex')
                    color: (0,0,0,1) if self.state=='down' else (1,1,1,1)
                TButton_f:
                    id: doc_list_age
                    text: "age"
                    size_hint_x: .2
                    group: "list"
                    on_release: root.sorter('age')
                    color: (0,0,0,1) if self.state=='down' else (1,1,1,1)
                TButton_f:
                    id: doc_list_name
                    text: "Name Family"
                    size_hint_x: .2
                    group: "list"
                    on_release: root.sorter('name')
                    color: (0,0,0,1) if self.state=='down' else (1,1,1,1)

            BoxLayout:
                canvas.before:
                    Color:
                        rgba: 0.9,0.9,0.9,1
                    Rectangle:
                        size: self.size
                        pos: self.pos
                ListView:
                    size_hint: (1.0, 1.0)
                    id: Listing

        Button_f:
            font_size: 40
            size_hint: None, None
            size: 64, 64
            pos_hint: {'center_x': 0.3, 'center_y': 0.15}
            background_normal: "data/icons/reporter.png"
            background_down: "data/icons/reporter.png"
            on_release: root.report()


        Report_ind:
            id: reporter
            size_hint: None,None
            size: (700,800) if self.en else (0,0)
            pos_hint:{'center_x': .5, 'center_y':.5}